Subject: Re: branch master updated: gnu: Add mercury.

From: [email-masked]
Date: Fri, 24 Jul 2020 00:20:45 +0200

> […]
> cp: cannot create regular file
> '/tmp/guix-build-mercury-minimal-20.06.drv-0/mercury-srcdist-20.06/install_grade_dir.asm_fast.gc/boehm_gc/thread_local_alloc.c':
> Permission denied
> cp: cannot create regular file
> '/tmp/guix-build-mercury-minimal-20.06.drv-0/mercury-srcdist-20.06/install_grade_dir.asm_fast.gc/boehm_gc/typd_mlc.c':
> Permission denied
> cp: cannot create regular file
> '/tmp/guix-build-mercury-minimal-20.06.drv-0/mercury-srcdist-20.06/install_grade_dir.asm_fast.gc/boehm_gc/win32_threads.c':
> Permission denied
> make[2]: Entering directory
> '/tmp/guix-build-mercury-minimal-20.06.drv-0/mercury-srcdist-20.06/install_grade_dir.asm_fast.gc/boehm_gc'
> cp Makefile.direct Makefile
> cp: cannot create regular file 'Makefile': Permission denied
> make[2]: ***
> [/tmp/guix-build-mercury-minimal-20.06.drv-0/mmake.SW2BFY:861:
> Makefile] Error 1
> make[2]: Leaving directory
> '/tmp/guix-build-mercury-minimal-20.06.drv-0/mercury-srcdist-20.06/install_grade_dir.asm_fast.gc/boehm_gc'
> To clean up from failed install, remove
> /tmp/guix-build-mercury-minimal-20.06.drv-0/mercury-srcdist-20.06/install_grade_dir.asm_fast.gc
> make[1]: ***
> [/tmp/guix-build-mercury-minimal-20.06.drv-0/mmake.x8C0kk:1457:
> install_grades] Error 1
> make[1]: Leaving directory
> '/tmp/guix-build-mercury-minimal-20.06.drv-0/mercury-srcdist-20.06'
> make: *** [Makefile:34: install] Error 2
> command "make" "install" failed with status 2

On further investigation I can not reproduce this issue. Tobias, what 
architecture are you working from,
and what I am assuming this failed during the install phase?

I would like to hear from others if mercury-minimal is causing issues 
for anybody else. I will still
investigate, but just letting it run in the background on my end the 
build for mercury-minimal
went to completion just fine. Clearly there is a reproducibility issue 
at play here probably with
the configure phase which generates the several files and is perhaps 
being inconsistent with
how permissions are being established.

Overall, mercury and mercury-minimal need a lot of work to reduce the 
size, get grades right,
and maybe get the grades split out into different outputs.

Brett Gilio